| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
tif_dir.h File Reference

Go to the source code of this file.

## Classes
struct | TIFFDirectory

## Macros
#define | FIELD_SETLONGS 4
#define | FIELD_IGNORE 0
#define | FIELD_IMAGEDIMENSIONS 1
#define | FIELD_TILEDIMENSIONS 2
#define | FIELD_RESOLUTION 3
#define | FIELD_POSITION 4
#define | FIELD_SUBFILETYPE 5
#define | FIELD_BITSPERSAMPLE 6
#define | FIELD_COMPRESSION 7
#define | FIELD_PHOTOMETRIC 8
#define | FIELD_THRESHHOLDING 9
#define | FIELD_FILLORDER 10
#define | FIELD_ORIENTATION 15
#define | FIELD_SAMPLESPERPIXEL 16
#define | FIELD_ROWSPERSTRIP 17
#define | FIELD_MINSAMPLEVALUE 18
#define | FIELD_MAXSAMPLEVALUE 19
#define | FIELD_PLANARCONFIG 20
#define | FIELD_RESOLUTIONUNIT 22
#define | FIELD_PAGENUMBER 23
#define | FIELD_STRIPBYTECOUNTS 24
#define | FIELD_STRIPOFFSETS 25
#define | FIELD_COLORMAP 26
#define | FIELD_EXTRASAMPLES 31
#define | FIELD_SAMPLEFORMAT 32
#define | FIELD_SMINSAMPLEVALUE 33
#define | FIELD_SMAXSAMPLEVALUE 34
#define | FIELD_IMAGEDEPTH 35
#define | FIELD_TILEDEPTH 36
#define | FIELD_HALFTONEHINTS 37
#define | FIELD_YCBCRSUBSAMPLING 39
#define | FIELD_YCBCRPOSITIONING 40
#define | FIELD_REFBLACKWHITE 41
#define | FIELD_TRANSFERFUNCTION 44
#define | FIELD_INKNAMES 46
#define | FIELD_SUBIFD 49
#define | FIELD_CODEC 66 /* base of codec-private tags */
#define | FIELD_PSEUDO 0
#define | FIELD_LAST (32*FIELD_SETLONGS-1)
#define | TIFFExtractData(tif, type, v)
#define | TIFFInsertData(tif, type, v)
#define | BITn(n) (((unsigned long)1L)<<((n)&0x1f))
#define | BITFIELDn(tif, n) ((tif)->tif_dir.td_fieldsset[(n)/32])
#define | TIFFFieldSet(tif, field) (BITFIELDn(tif, field) & BITn(field))
#define | TIFFSetFieldBit(tif, field) (BITFIELDn(tif, field) |= BITn(field))
#define | TIFFClrFieldBit(tif, field) (BITFIELDn(tif, field) &= ~BITn(field))
#define | FieldSet(fields, f) (fields[(f)/32] & BITn(f))
#define | ResetFieldBit(fields, f) (fields[(f)/32] &= ~BITn(f))
#define | _TIFFFindFieldInfo TIFFFindFieldInfo
#define | _TIFFFindFieldInfoByName TIFFFindFieldInfoByName
#define | _TIFFFieldWithTag TIFFFieldWithTag
#define | _TIFFFieldWithName TIFFFieldWithName

## Functions
const TIFFFieldInfo * | _TIFFGetFieldInfo (size_t *)
const TIFFFieldInfo * | _TIFFGetExifFieldInfo (size_t *)
void | _TIFFSetupFieldInfo (TIFF *, const TIFFFieldInfo[], size_t)
int | _TIFFMergeFieldInfo (TIFF *, const TIFFFieldInfo[], int)
void | _TIFFPrintFieldInfo (TIFF *, FILE *)
TIFFDataType | _TIFFSampleToTagType (TIFF *)
const TIFFFieldInfo * | _TIFFFindOrRegisterFieldInfo (TIFF *tif, ttag_t tag, TIFFDataType dt)
TIFFFieldInfo * | _TIFFCreateAnonFieldInfo (TIFF *tif, ttag_t tag, TIFFDataType dt)

## Macro Definition Documentation

#define _TIFFFieldWithName TIFFFieldWithName

Definition at line 197 of file tif_dir.h.

#define _TIFFFieldWithTag TIFFFieldWithTag

Definition at line 196 of file tif_dir.h.

#define _TIFFFindFieldInfo TIFFFindFieldInfo

Definition at line 194 of file tif_dir.h.

#define _TIFFFindFieldInfoByName TIFFFindFieldInfoByName

Definition at line 195 of file tif_dir.h.

#define BITFIELDn | ( |  | tif,
|  |  | n
| ) |  | ((tif)->tif_dir.td_fieldsset[(n)/32])

Definition at line 171 of file tif_dir.h.

#define BITn | ( |  | n | ) | (((unsigned long)1L)<<((n)&0x1f))

Definition at line 170 of file tif_dir.h.

#define FIELD_BITSPERSAMPLE 6

Definition at line 112 of file tif_dir.h.

#define FIELD_CODEC 66 /* base of codec-private tags */

Definition at line 143 of file tif_dir.h.

#define FIELD_COLORMAP 26

Definition at line 127 of file tif_dir.h.

#define FIELD_COMPRESSION 7

Definition at line 113 of file tif_dir.h.

#define FIELD_EXTRASAMPLES 31

Definition at line 128 of file tif_dir.h.

#define FIELD_FILLORDER 10

Definition at line 116 of file tif_dir.h.

#define FIELD_HALFTONEHINTS 37

Definition at line 134 of file tif_dir.h.

#define FIELD_IGNORE 0

Definition at line 102 of file tif_dir.h.

#define FIELD_IMAGEDEPTH 35

Definition at line 132 of file tif_dir.h.

#define FIELD_IMAGEDIMENSIONS 1

Definition at line 105 of file tif_dir.h.

#define FIELD_INKNAMES 46

Definition at line 139 of file tif_dir.h.

#define FIELD_LAST (32*FIELD_SETLONGS-1)

Definition at line 158 of file tif_dir.h.

#define FIELD_MAXSAMPLEVALUE 19

Definition at line 121 of file tif_dir.h.

#define FIELD_MINSAMPLEVALUE 18

Definition at line 120 of file tif_dir.h.

#define FIELD_ORIENTATION 15

Definition at line 117 of file tif_dir.h.

#define FIELD_PAGENUMBER 23

Definition at line 124 of file tif_dir.h.

#define FIELD_PHOTOMETRIC 8

Definition at line 114 of file tif_dir.h.

#define FIELD_PLANARCONFIG 20

Definition at line 122 of file tif_dir.h.

#define FIELD_POSITION 4

Definition at line 108 of file tif_dir.h.

#define FIELD_PSEUDO 0

Definition at line 156 of file tif_dir.h.

#define FIELD_REFBLACKWHITE 41

Definition at line 137 of file tif_dir.h.

#define FIELD_RESOLUTION 3

Definition at line 107 of file tif_dir.h.

#define FIELD_RESOLUTIONUNIT 22

Definition at line 123 of file tif_dir.h.

#define FIELD_ROWSPERSTRIP 17

Definition at line 119 of file tif_dir.h.

#define FIELD_SAMPLEFORMAT 32

Definition at line 129 of file tif_dir.h.

#define FIELD_SAMPLESPERPIXEL 16

Definition at line 118 of file tif_dir.h.

#define FIELD_SETLONGS 4

Definition at line 37 of file tif_dir.h.

#define FIELD_SMAXSAMPLEVALUE 34

Definition at line 131 of file tif_dir.h.

#define FIELD_SMINSAMPLEVALUE 33

Definition at line 130 of file tif_dir.h.

#define FIELD_STRIPBYTECOUNTS 24

Definition at line 125 of file tif_dir.h.

#define FIELD_STRIPOFFSETS 25

Definition at line 126 of file tif_dir.h.

#define FIELD_SUBFILETYPE 5

Definition at line 111 of file tif_dir.h.

#define FIELD_SUBIFD 49

Definition at line 140 of file tif_dir.h.

#define FIELD_THRESHHOLDING 9

Definition at line 115 of file tif_dir.h.

#define FIELD_TILEDEPTH 36

Definition at line 133 of file tif_dir.h.

#define FIELD_TILEDIMENSIONS 2

Definition at line 106 of file tif_dir.h.

#define FIELD_TRANSFERFUNCTION 44

Definition at line 138 of file tif_dir.h.

#define FIELD_YCBCRPOSITIONING 40

Definition at line 136 of file tif_dir.h.

#define FIELD_YCBCRSUBSAMPLING 39

Definition at line 135 of file tif_dir.h.

#define FieldSet | ( |  | fields,
|  |  | f
| ) |  | (fields[(f)/32] & BITn(f))

Definition at line 176 of file tif_dir.h.

#define ResetFieldBit | ( |  | fields,
|  |  | f
| ) |  | (fields[(f)/32] &= ~BITn(f))

Definition at line 177 of file tif_dir.h.

#define TIFFClrFieldBit | ( |  | tif,
|  |  | field
| ) |  | (BITFIELDn(tif, field) &= ~BITn(field))

Definition at line 174 of file tif_dir.h.

#define TIFFExtractData | ( |  | tif,
|  |  | type,
|  |  | v
| ) |  |

Value:
((uint32) ((tif)->tif_header.tiff_magic == TIFF_BIGENDIAN ? \
((v) >> (tif)->tif_typeshift[type]) & (tif)->tif_typemask[type] : \
(v) & (tif)->tif_typemask[type]))
TIFF_BIGENDIAN
#define TIFF_BIGENDIAN
Definition: tiff.h:51

Definition at line 160 of file tif_dir.h.

#define TIFFFieldSet | ( |  | tif,
|  |  | field
| ) |  | (BITFIELDn(tif, field) & BITn(field))

Definition at line 172 of file tif_dir.h.

#define TIFFInsertData | ( |  | tif,
|  |  | type,
|  |  | v
| ) |  |

Value:
((uint32) ((tif)->tif_header.tiff_magic == TIFF_BIGENDIAN ? \
((v) & (tif)->tif_typemask[type]) << (tif)->tif_typeshift[type] : \
(v) & (tif)->tif_typemask[type]))
TIFF_BIGENDIAN
#define TIFF_BIGENDIAN
Definition: tiff.h:51

Definition at line 164 of file tif_dir.h.

#define TIFFSetFieldBit | ( |  | tif,
|  |  | field
| ) |  | (BITFIELDn(tif, field) |= BITn(field))

Definition at line 173 of file tif_dir.h.

## Function Documentation

TIFFFieldInfo* _TIFFCreateAnonFieldInfo | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | TIFFDataType | dt
| ) |  |

Definition at line 849 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFFindOrRegisterFieldInfo | ( | TIFF * | tif,
|  | ttag_t | tag,
|  | TIFFDataType | dt
| ) |  |

Definition at line 832 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFGetExifFieldInfo | ( | size_t * |  | ) |

Definition at line 523 of file tif_dirinfo.c.

const TIFFFieldInfo* _TIFFGetFieldInfo | ( | size_t * |  | ) |

Definition at line 516 of file tif_dirinfo.c.

int _TIFFMergeFieldInfo | ( | TIFF * | ,
|  | const TIFFFieldInfo | [],
|  | int |
| ) |  |

Definition at line 593 of file tif_dirinfo.c.

void _TIFFPrintFieldInfo | ( | TIFF * | ,
|  | FILE * |
| ) |  |

Definition at line 638 of file tif_dirinfo.c.

TIFFDataType _TIFFSampleToTagType | ( | TIFF * |  | ) |

Definition at line 726 of file tif_dirinfo.c.

void _TIFFSetupFieldInfo | ( | TIFF * | ,
|  | const TIFFFieldInfo | [],
|  | size_t |
| ) |  |

Definition at line 530 of file tif_dirinfo.c.